Rails Installation issue in Ubuntu 16.04

zlib is missing; necessary for building libxml2

I’ve just had this same problem on a fresh Ubuntu 14.04 box and it turns out there is a dependency for the zlib source (i.e. zlib.h) so you need to:

sudo apt-get install zlib1g-dev



Sources:
http://stackoverflow.com/a/31603202
Advertisements